<?php

session_start();
$getFrete = filter_input_array(INPUT_POST, FILTER_DEFAULT);
$setFrete = array_map("strip_tags", $getFrete);
$frete = array_map("trim", $getFrete);
print_r($frete);

$_SESSION['storecart']['entrega']['codigo'] = $frete['codigo'];
$_SESSION['storecart']['entrega']['tipo'] = $frete['tipo'];
$_SESSION['storecart']['entrega']['prazo'] = $frete['prazo'];
$_SESSION['storecart']['entrega']['valor'] = $frete['valor'];

$_SESSION['storecart']['total'] = $frete['valor'] + $_SESSION['storecart']['subtotal'];

unset($_COOKIE['storecart']); // apagar o cookie caso exista
setcookie('storecart', serialize($_SESSION['storecart']), time() + 3600); //cria o novo cookie